## org.eclipse.amp.agf3d
Class RenderingShapeProvider

    java.lang.Object
      org.eclipse.amp.agf3d.RenderingShapeProvider

All Implemented Interfaces:
  IShape3DProvider

    public class RenderingShapeProvider

extends java.lang.Object
implements IShape3DProvider

Author:
  mparker

Constructor Summary
`RenderingShapeProvider(IRenderer renderer)`

Method Summary
`static IShape3DProvider` `createProvider(IRenderer renderer)`
`org.eclipse.draw3d.geometry.IVector3f` `getRelativeLocation3D(java.lang.Object object)`
`org.eclipse.draw3d.shapes.Shape` `getShape3D(java.lang.Object object, org.eclipse.draw3d.IFigure3D figure)`
`org.eclipse.draw3d.geometry.IVector3f` `getSize3D(java.lang.Object object)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderingShapeProvider

    public RenderingShapeProvider(IRenderer renderer)

Method Detail

### getShape3D

    public org.eclipse.draw3d.shapes.Shape getShape3D(java.lang.Object object,
                                                      org.eclipse.draw3d.IFigure3D figure)

  Specified by:
    `getShape3D` in interface `IShape3DProvider`
  Parameters:
    `object` -
    `figure` -
  Returns:
  See Also:
    `IShape3DProvider.getShape3D(java.lang.Object, IFigure3D)`

### getSize3D

    public org.eclipse.draw3d.geometry.IVector3f getSize3D(java.lang.Object object)

  Specified by:
    `getSize3D` in interface `IShape3DProvider`
  Returns:

### getRelativeLocation3D

    public org.eclipse.draw3d.geometry.IVector3f getRelativeLocation3D(java.lang.Object object)

  Specified by:
    `getRelativeLocation3D` in interface `IShape3DProvider`
  Returns:

### createProvider

    public static IShape3DProvider createProvider(IRenderer renderer)